Bug 1020967 - NetworkManager crash while creating new connection
NetworkManager crash while creating new connection
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kde-plasma-networkmanagement (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Grulich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 11:43 EDT by pasquale.africa
Modified: 2013-12-20 21:20 EST (History)
8 users (show)

See Also:
Fixed In Version: kde-plasma-networkmanagement-0.9.0.10-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-20 21:20:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash informations (8.58 KB, text/plain)
2013-10-18 11:43 EDT, pasquale.africa
no flags Details

  None (edit)
Description pasquale.africa 2013-10-18 11:43:29 EDT
Created attachment 813829 [details]
Crash informations

Description of problem:
I was trying to set up a new connection in Fedora 19 KDE Network Manager; if I choose a WPA/WPA2 Enterprise with TLS authentication method and then i fill all the required fields (Identity, CA certificate, etc.) when I attempt to save the configuration the Network Manager crashes, and the "KDE Crash Handler" appears.
The "Developer Information" tab content is attached

Version-Release number of selected component (if applicable): 0.9.0.9 (nm09 20130615)


How reproducible:
It can be reproduced every time one attempts to create a new WPA EAP/TLS connection.

Steps to Reproduce:
1. Network Management Settings -> Add -> Wireless
2. Select Security WPA/WPA2 Enterprise with TLS Authentication -> fill the required fields (SSID, Identity, CA Certificate, Private Key and Private Key Password)
3. A click on "OK" button makes the Network Manager crash.

Actual results:
I can't set up the connection I need.

Expected results:
I would be able to do it.

Additional info:
See the attachment.
Comment 1 Fedora Update System 2013-11-28 07:26:07 EST
kde-plasma-networkmanagement-0.9.0.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kde-plasma-networkmanagement-0.9.0.10-1.fc19
Comment 2 Fedora Update System 2013-12-01 04:30:11 EST
Package kde-plasma-networkmanagement-0.9.0.10-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-plasma-networkmanagement-0.9.0.10-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22442/kde-plasma-networkmanagement-0.9.0.10-1.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-12-20 21:20:31 EST
kde-plasma-networkmanagement-0.9.0.10-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.